Package org.codehaus.groovy.ast.expr

# Class MethodPointerExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.codehaus.groovy.ast.expr.MethodPointerExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `MethodReferenceExpression`

    public class MethodPointerExpression
    extends Expression

Represents a method pointer on an object such as `foo.&bar` which means find the method pointer for the `bar` method on the `foo` instance. This is equivalent to: `foo.metaClass.getMethodPointer(foo, "bar")`

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected Expression` | `expression` |
  `protected Expression` | `methodName` |

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `MethodPointerExpression​(Expression expression, Expression methodName)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Expression` | `getExpression()` |
  `Expression` | `getMethodName()` |
  `java.lang.String` | `getText()` |
  `java.lang.Class` | `getTypeClass()` |
  `boolean` | `isDynamic()` |
  `Expression` | `transformExpression​(ExpressionTransformer transformer)` | Return a copy of the expression calling the transformer on any nested expressions
  `void` | `visit​(GroovyCodeVisitor visitor)` |

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Field Details

  - ### expression

    protected final Expression expression

  - ### methodName

    protected final Expression methodName

- ## Constructor Details

  - ### MethodPointerExpression

    public MethodPointerExpression​(Expression expression, Expression methodName)

- ## Method Details

  - ### getExpression

    public Expression getExpression()

  - ### getMethodName

    public Expression getMethodName()

  - ### visit

    public void visit​(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### transformExpression

    public Expression transformExpression​(ExpressionTransformer transformer)
    Description copied from class: `Expression`
    Return a copy of the expression calling the transformer on any nested expressions
    Specified by:
      `transformExpression` in class `Expression`

  - ### getText

    public java.lang.String getText()
    Overrides:
      `getText` in class `ASTNode`

  - ### isDynamic

    public boolean isDynamic()

  - ### getTypeClass

    public java.lang.Class getTypeClass()